Frontend Donor
Update Donor Information
Allows a donor to update their information.
PUT
/
frontend
/
donor
/
dashboard
/
details
/
{client_id}
/
{program_id}
/
{session_id}
Update Donor Information
curl --request PUT \
--url https://api.helpyousponsor.com/v1/frontend/donor/dashboard/details/{client_id}/{program_id}/{session_id} \
--header 'Content-Type: application/json' \
--header 'session_id: <api-key>' \
--data '
{
"dn_donor_name": "<string>",
"username": "<string>",
"email": "<string>",
"password": "<string>",
"do_not_email": "1",
"field": "<string>"
}
'import requests
url = "https://api.helpyousponsor.com/v1/frontend/donor/dashboard/details/{client_id}/{program_id}/{session_id}"
payload = {
"dn_donor_name": "<string>",
"username": "<string>",
"email": "<string>",
"password": "<string>",
"do_not_email": "1",
"field": "<string>"
}
headers = {
"session_id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {session_id: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dn_donor_name: '<string>',
username: '<string>',
email: '<string>',
password: '<string>',
do_not_email: '1',
field: '<string>'
})
};
fetch('https://api.helpyousponsor.com/v1/frontend/donor/dashboard/details/{client_id}/{program_id}/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"redirect": "<string>"
}{
"redirect": "<string>",
"errors": {}
}Authorizations
Use a session id to authenticate
Path Parameters
Client ID associated with the donor
Program ID associated with the donor
Session ID for the donor
Body
application/json
Donor's updated information
⌘I
Update Donor Information

